Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 454916 - >=dev-qt/qt-creator-2.7_rc: add ~arm
Summary: >=dev-qt/qt-creator-2.7_rc: add ~arm
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: ARM Linux
: Normal enhancement (vote)
Assignee: Gentoo ARM Porters
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 460886
Blocks:
  Show dependency tree
 
Reported: 2013-02-01 00:12 UTC by Tomasz Mloduchowski
Modified: 2013-04-08 17:01 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patched ebuild - properly handling non-x86 arches. (qt-creator-2.6.1-r1.ebuild,3.88 KB, text/plain)
2013-02-01 00:12 UTC, Tomasz Mloduchowski
Details
And the actual qt-creator patch. (qt-creator-botan-arm.patch,1.68 KB, patch)
2013-02-01 00:13 UTC, Tomasz Mloduchowski
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz Mloduchowski 2013-02-01 00:12:53 UTC
Created attachment 337530 [details]
Patched ebuild - properly handling non-x86 arches.

After minor patching, the dev-util/qtcreator builds and runs smoothly on ~arm.

It requires patching the 3rdparty included botan tree to ensure that the cryptographic library works on non-x86 hardware - the problem should have been fixed by the upstream, however, in the meantime, the patch works. 

It should work on all Little Endian non-x86 architectures.

http://cgit.qdot.me/gentoo/tree/dev-util/qt-creator/
Comment 1 Tomasz Mloduchowski 2013-02-01 00:13:21 UTC
Created attachment 337532 [details, diff]
And the actual qt-creator patch.
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2013-02-06 18:20:57 UTC
I guess the patch is already included in the upstream repo?
Comment 3 Tomasz Mloduchowski 2013-02-06 23:54:18 UTC
I don't think the patch in included in the upstream.. (actually finding the qt-creator upstream.. is a good question)

I just wrote it for my own use, hopefully it can be useful for someone else too.
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2013-02-09 21:01:45 UTC
Please send your patch upstream then.

https://bugreports.qt-project.org
Comment 5 Davide Pesavento gentoo-dev 2013-02-09 21:15:43 UTC
(In reply to comment #4)
> Please send your patch upstream then.
> 
> https://bugreports.qt-project.org

No, to submit patches you MUST use https://codereview.qt-project.org/

I'd prefer if they provided a way to use system botan though...
Comment 6 Markos Chandras (RETIRED) gentoo-dev 2013-02-10 00:54:46 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Please send your patch upstream then.
> > 
> > https://bugreports.qt-project.org
> 
> No, to submit patches you MUST use https://codereview.qt-project.org/
> 
> I'd prefer if they provided a way to use system botan though...

What's the point of the existing bug-tracking system then? :/
Comment 7 Davide Pesavento gentoo-dev 2013-02-17 10:22:29 UTC
Does =dev-libs/botan-1.10* work on arm? If so, we should keyword it and force the usage of system botan on arm instead of patching qt-creator's internal copy.
Comment 8 Davide Pesavento gentoo-dev 2013-03-08 09:50:15 UTC
>=qt-creator-2.7.0_rc always uses the system botan library (already keyworded on arm), therefore no patching is necessary anymore.
Comment 9 Davide Pesavento gentoo-dev 2013-03-08 09:55:46 UTC
@arm: please verify that it works and add ~arm keyword.
Comment 10 Sergey Popov gentoo-dev 2013-03-23 12:33:13 UTC
Can not test it on arm, because of bug 460886
Comment 11 Sergey Popov gentoo-dev 2013-04-08 17:01:14 UTC
Added ~arm to dev-qt/qtdemo-4.8.4 cause it's dependency of dev-qt/qt-creator

Little note: trying to call Help from main menu(or calling Examples) lead to Segmentation fault. Other things seems to be OK.

+  08 Apr 2013; Sergey Popov <pinkbyte@gentoo.org> qt-creator-2.7.0.ebuild:
+  Add ~arm keyword, wrt bug #454916